#
# spec file for package libtuxcap
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libtuxcap
Version:        1.4.0+2016.05.05
Release:        1.1
Summary:        Tux Cap Games Framework
License:        BSD-4-Clause and BSD-3-Clause and MIT
Group:          Development/Libraries/C and C++
Url:            http://sf.net/projects/tuxcap
Source:         %{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM fix-gcc-6.patch -- https://sourceforge.net/p/tuxcap/patches/4/
Patch0:         fix-gcc-6.patch
# PATCH-FEATURE-UPSTREAM fix-static-library.patch -- https://sourceforge.net/p/tuxcap/patches/5/
Patch1:         fix-static-library.patch
BuildRequires:  ImageMagick-devel
BuildRequires:  Mesa-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libMagick++-devel
BuildRequires:  libX11-devel
BuildRequires:  libpng16-compat-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The TuxCap Games Framework is a GNU/Linux and Mac OSX port of the PopCap
Games Framework used for 2D game development. It comes with PyCap Python
bindings, a fast 2D physics engine, a particle engine, widgets and many
documented examples.

%package -n libtuxcap4_0
Summary:        Tux Cap Games Framework
Group:          System/Libraries

%description -n libtuxcap4_0
The TuxCap Games Framework is a GNU/Linux and Mac OSX port of the PopCap
Games Framework used for 2D game development. It comes with PyCap Python
bindings, a fast 2D physics engine, a particle engine, widgets and many
documented examples.

%package -n libtuxcap-devel
Summary:        Tux Cap Games Framework
Group:          Development/Libraries/C and C++
Requires:       ImageMagick-devel
Requires:       Mesa-devel
Requires:       libMagick++-devel
Requires:       libtuxcap4_0 = %{version}
Requires:       pkgconfig
Requires:       python-devel
Requires:       pkgconfig(SDL2_image)
Requires:       pkgconfig(sdl2)

%description -n libtuxcap-devel
The TuxCap Games Framework is a GNU/Linux and Mac OSX port of the PopCap
Games Framework used for 2D game development. It comes with PyCap Python
bindings, a fast 2D physics engine, a particle engine, widgets and many
documented examples.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake \
    -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo
make %{?_smp_mflags}

%install
%cmake_install

%post -n libtuxcap4_0 -p /sbin/ldconfig
%postun -n libtuxcap4_0 -p /sbin/ldconfig

%files -n libtuxcap4_0
%defattr(-,root,root)
%doc AUTHORS CHANGELOG PopCap?Framework?License.txt README
%{_libdir}/libtuxcap.so.4.0
%if 0%{?suse_version} > 1320
%license COPYRIGHT
%else
%doc COPYRIGHT
%endif

%files -n libtuxcap-devel
%defattr(-,root,root)
%doc doc/*.pdf
%{_includedir}/tuxcap
%{_libdir}/libtuxcap.so

%changelog
* Mon Aug 29 2016 rpm@fthiessen.de
- Added fix-gcc-6.patch
- Added fix-static-library.patch
- Update to current vcs version 1.4.0+2016.05.05
* Sun Feb 19 2012 jengelh@medozas.de
- Update license field to reflect actual license
- Use short URL
- Remove redundant tags/sections from specfile
* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel building
- Strip %%clean section (not needed on BS)
* Thu Jun 11 2009 prusnak@suse.cz
- updated to 1.4.0
- fix stdint.h issue (stdint.patch)
* Tue May  5 2009 prusnak@suse.cz
- created package (version 1.3.3)
- fix build flags and don't try to build demos (build.patch)
- fix broken ImageMagick detection (imagemagick.patch)
- don't build static library (no-static.patch)
